<?php
include('includes/config.php');
$path = "images/uploads/";

$myid = $_POST['id'];

	$valid_formats = array("jpg", "png", "gif", "bmp");
	if(isset($_POST) and $_SERVER['REQUEST_METHOD'] == "POST")
		{
			$name = $_FILES['photoimg']['name'];
			$size = $_FILES['photoimg']['size'];
			
			if(strlen($name))
				{
					list($txt, $ext) = explode(".", $name);
					if(in_array($ext,$valid_formats))
					{
					if($size<(1024*1024))
						{
							$actual_image_name = time().substr(str_replace(" ", "_", $txt), 5).".".$ext;

							$tmp = $_FILES['photoimg']['tmp_name'];

							if(move_uploaded_file($tmp, $path.$actual_image_name))
								{
								mysql_query("UPDATE equipments SET license_pic='$actual_image_name' WHERE equip_id = '$myid' ");
									
									echo "<img src='images/uploads/".$actual_image_name."' width='50' height='50' class='license_preview' />";
									 /* echo $myid; */ 
								}
							
							else {
								echo "failed";
								}
						}
						else
						{
						echo "Image file size max 1 MB";
						}						
						}
						else {
						echo "Invalid file format..";	
						}
				}
				
			else {
				echo "Please select image..!";
				}
			exit;
		}
?>